Skip to content

upsertStorageUnit

WRITE

Upsert storage unit.

POST /api/v1/inventory/upsertStorageUnit
curl -X POST '<your-host>/api/v1/inventory/upsertStorageUnit' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "locationId": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "warehouseId": {
      "type": "string"
    },
    "parentId": {
      "type": "string"
    },
    "workCenterId": {
      "type": "string"
    },
    "storageTypeIds": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "locationId",
    "_operation"
  ]
}